Subject: RE: Royalty-free Patent Policies for Open Source?

From: "Lawrence E. Rosen" <[email-masked]>
Date: Wed, 20 Nov 2002 17:58:20 -0800

Ernie Prabhakar asked (with reference to the W3C patent policy):
> Does anyone have good examples of patent grants that meet the 
> terms of 
> this policy?  For example, has anyone actually licensed 
> patents in this 
> way for use by the Open Source community?  Is there a 
> well-defined way 
> to make a patent royalty-free for Open Source while still collecting 
> royalties from commercial users?

Almost every patent grant included in an OSI-approved open source
license already meets the new W3C patent policy.  Here, for example, is
how the Open Software License (OSL) says it:

   2) Grant of Patent License. Licensor hereby grants
   You a world-wide, royalty-free, non-exclusive, perpetual,
   non-sublicenseable license, under patent claims owned or
   controlled by the Licensor that are embodied in the Original
   Work as furnished by the Licensor ("Licensed Claims") to make,
   use, sell and offer for sale the Original Work.  Licensor
   hereby grants You a world-wide, royalty-free, non-exclusive,
   perpetual, non-sublicenseable license under the Licensed Claims
   to make, use, sell and offer for sale Derivative Works. 
  
A few OSI-approved licenses, unfortunately, may be a little too strict
in their "defensive suspension" provisions to comply with the new W3C
policy; talk to your own attorneys at Apple for examples of that.  ;)  

This means that an open source implementation can be the basis for a W3C
standard -- subject to third party patents, of course.

As to your last question, NO, the W3C patent policy forbids
discrimination against either proprietary *or* open source vendors.
What is royalty-free for one is royalty-free for all.  This is
consistent with the open source definition and was the position I took
at the W3C patent policy working group.  It seemed fair.  

/Larry Rosen  

P.S. I'm going to cross-post this message on an IETF list because we're
talking about the W3C patent policy there also.  /LR

> -----Original Message-----
> From: Ernest Prabhakar [mailto:[email-masked]] 
> Sent: Wednesday, November 20, 2002 11:45 AM
> To: [email-masked]
> Subject: Royalty-free Patent Policies for Open Source?
> 
> 
> Hi all,
> 
> > http://www.theregister.co.uk/content/6/28135.html
> > W3C rejects net patent tax, avoids web schism
> > By Andrew Orlowski
> > 16/11/2002
> > The web standards consortium W3C has agreed on a policy that should 
> > prevent nasty royalty surprises for developers in the future.
> 
> Does anyone have good examples of patent grants that meet the 
> terms of 
> this policy?  For example, has anyone actually licensed 
> patents in this 
> way for use by the Open Source community?  Is there a 
> well-defined way 
> to make a patent royalty-free for Open Source while still collecting 
> royalties from commercial users?
> 
> Personally, I'm mostly happy that W3C is planning to go this 
> route, but 
> I'm curious how it will work out in practice.  I'm curious whether 
> there are any existing licenses that are already consistent with this 
> policy.
> 
> -- Ernie P.
> 
> --
> license-discuss archive is at http://crynwr.com/cgi-bin/ezmlm-cgi?3
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg